Import Safari browser history (internal)

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
POST /extraction/case/import-browser-history

Desktop plumbing: registers the device on the caller's case, downloads the Safari History.db the app uploaded to S3 and imports its browsing history. The file key must be under the device's own path, otherwise 400.

application/json

Body Required

  • deviceId string Required
  • deviceType string Required

    Values are unknown, android, ios, facebook_dump, instagram_dump, threads_dump, or email.

  • deviceMetadata object
  • systemId string Required
  • appVersion string Required
  • osDetails object
    Hide osDetails attributes Show osDetails attributes object
    • arch string
    • platform string
    • version string
    • osType string
    • machine string
    • totalMemory number
    • cpus object Required
    • extraInformation object Required
  • safariHistoryFileKey string Required

    S3 key for the uploaded Safari History.db file

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • message string Required
      • isSuccess boolean Required
    • statusCode number Required
    • timestamp string(date-time) Required
POST /extraction/case/import-browser-history
curl \
 --request POST 'http://api.example.com/extraction/case/import-browser-history' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{
  "deviceId": "string",
  "deviceType": "unknown",
  "deviceMetadata": {},
  "systemId": "string",
  "appVersion": "string",
  "osDetails": {
    "arch": "string",
    "platform": "string",
    "version": "string",
    "osType": "string",
    "machine": "string",
    "totalMemory": 42.0,
    "cpus": {},
    "extraInformation": {}
  },
  "safariHistoryFileKey": "string"
}'
Request examples
{
  "deviceId": "string",
  "deviceType": "unknown",
  "deviceMetadata": {},
  "systemId": "string",
  "appVersion": "string",
  "osDetails": {
    "arch": "string",
    "platform": "string",
    "version": "string",
    "osType": "string",
    "machine": "string",
    "totalMemory": 42.0,
    "cpus": {},
    "extraInformation": {}
  },
  "safariHistoryFileKey": "string"
}
Response examples (200)
{
  "data": {
    "message": "Done",
    "isSuccess": true
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}